Index: palm/trunk/SOURCE/CURRENT_MODIFICATIONS
===================================================================
--- palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 388)
+++ palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 392)
@@ -1,191 +1,12 @@
 New:
 ---
-
-Adapted for machine lck
-(mrun, mbuild, subjob)
-
-bc_lr/bc_ns  in most subroutines replaced by LOGICAL variables bc_lr_cyc,
-bc_ns_cyc for speed optimization
-(check_parameters, diffusion_u, diffusion_v, diffusion_w, modules)
-
-Additional timestep criterion in case of simulations with plant canopy (timestep)
-
-Check for illegal entries in section_xy|xz|yz that exceed nz+1|ny+1|nx+1 
-(check_parameters)
-
-Clipping of dvrp output implemented. Default colourtable for particles
-implemented, particle attributes (color, dvrp_size) can be set with new
-parameters particle_color, particle_dvrpsize, color_interval,
-dvrpsize_interval (init_dvrp, data_output_dvrp, modules, user_data_output_dvrp).
-Slicer attributes (dvrp) are set with new routine set_slicer_attributes_dvrp
-and are controlled with existing parameters slicer_range_limits.
-(set_slicer_attributes_dvrp)
-
-Ocean atmosphere coupling allows to use independent precursor runs in order
-to account for different spin-up times. The time when coupling has to be
-started is given by new inipar parameter coupling_start_time. The precursor
-ocean run has to be started using new mrun option "-y" in order to add
-appendix "_O" to all output files.
-(check_for_restart, check_parameters, data_output_2d, data_output_3d,
-data_output_profiles, data_output_ptseries, data_output_spectra,
-data_output_tseries, header, init_coupling, modules, mrun,
-parin, read_var_list, surface_coupler, time_integration, write_var_list)
-
-Polygon reduction for topography and ground plate isosurface. Reduction level
-for buildings can be chosen with parameter cluster_size. (init_dvrp)
-
-External pressure gradient (check_parameters, header, init_3d_model, modules, 
-parin, prognostic_equations, read_var_list, write_var_list)
-
-New topography case 'single_street_canyon' (header, init_grid, modules, parin, 
-read_var_list, user_check_parameters, user_header, user_init_grid, write_var_list)
-
-Option to predefine a target bulk velocity for conserve_volume_flow 
-(check_parameters, header, init_3d_model, modules, parin, read_var_list, 
-write_var_list)
-
-Option for user defined 2D data output in xy cross sections at z=nzb+1
-(data_output_2d, user_data_output_2d)
-
-xy cross section output of surface heatfluxes (latent, sensible) 
-(average_3d_data, check_parameters, data_output_2d, modules, read_3d_binary, 
-sum_up_3d_data, write_3d_binary)
-
-
-average_3d_data, check_for_restart, check_parameters, data_output_2d, data_output_3d, data_output_dvrp, data_output_profiles, data_output_ptseries, data_output_spectra, data_output_tseries, init_coupling, init_dvrp, init_grid, init_3d_model, header, mbuild, modules, mrun, package_parin, parin, prognostic_equations, read_3d_binary, read_var_list, subjob, surface_coupler, timestep, time_integration, user_check_parameters, user_data_output_2d, user_data_output_dvrp, user_header, user_init_grid, write_3d_binary, write_var_list
-
-New: set_particle_attributes, set_slicer_attributes_dvrp
 
 
 Changed:
 -------
-__lcmuk changed to __lc to avoid problems with Intel compiler on sgi-ice
-(poisfft)
-
-For extended NetCDF files, the updated title attribute includes an update of
-time_average_text where appropriate. (netcdf)
-
-In case of restart runs without extension, initial profiles are not written 
-to NetCDF-file anymore. (data_output_profiles, modules, read_var_list, write_var_list)
-
-Small change in formatting of the message handling routine concering the output in the
-job protocoll. (message)
-
-initializing_actions='read_data_for_recycling' renamed to 'cyclic_fill', now 
-independent of turbulent_inflow (check_parameters, header, init_3d_model)
-
-2 NetCDF error numbers changed. (data_output_3d)
-
-A Link to the website appendix_a.html is printed for further information
-about the possible errors. (message)
-
-Temperature gradient criterion for estimating the boundary layer height
-replaced by the gradient criterion of Sullivan et al. (1998). (flow_statistics)
-
-NetCDF unit attribute in timeseries output in case of statistic regions added
-(netcdf)
-
-Output of NetCDF messages with aid of message handling routine.
-(check_open, close_file, data_output_2d, data_output_3d, 
-data_output_profiles, data_output_ptseries, data_output_spectra, 
-data_output_tseries, netcdf, output_particles_netcdf)
-
-Output of messages replaced by message handling routine.
-(advec_particles, advec_s_bc, buoyancy, calc_spectra, check_for_restart, 
-check_open, coriolis, cpu_log, data_output_2d, data_output_3d, data_output_dvrp,
-data_output_profiles, data_output_spectra, fft_xy, flow_statistics, header, 
-init_1d_model, init_3d_model, init_dvrp, init_grid, init_particles, init_pegrid, 
-netcdf, parin, plant_canopy_model, poisfft_hybrid, poismg, read_3d_binary, 
-read_var_list, surface_coupler, temperton_fft, timestep, user_actions, 
-user_data_output_dvrp, user_dvrp_coltab, user_init_grid, user_init_plant_canopy, 
-user_parin, user_read_restart_data, user_spectra )
-
-Maximum number of tails is calculated from maximum number of particles and
-skip_particles_for_tail (init_particles)
-
-Value of vertical_particle_advection may differ for each particle group
-(advec_particles, header, modules) 
-
-First constant in array den also defined as type double. (eqn_state_seawater)
-
-Parameter dvrp_psize moved from particles_par to dvrp_graphics_par. (package_parin)
-
-topography_grid_convention moved from userpar to inipar (check_parameters,
-header, parin, read_var_list, user_check_parameters, user_header, 
-user_init_grid, user_parin, write_var_list)
-
-Default value of grid_matching changed to strict.
-
-Adjustments for runs on lcxt4 (necessary due to an software update on CRAY) and 
-for coupled runs on ibmy (mrun, subjob)
-
-advec_particles, advec_s_bc, buoyancy, calc_spectra, check_for_restart, check_open, check_parameters, close_file, coriolis, cpu_log, data_output_2d, data_output_3d, data_output_dvrp, data_output_profiles, data_output_ptseries, data_output_spectra, data_output_tseries, eqn_state_seawater, fft_xy, flow_statistics, header, init_1d_model, init_3d_model, init_dvrp, init_grid, init_particles, init_pegrid, message, mrun, netcdf, output_particles_netcdf, package_parin, parin, plant_canopy_model, poisfft, poisfft_hybrid, poismg, read_3d_binary, read_var_list, sort_particles, subjob, user_check_parameters, user_header, user_init_grid, user_parin, surface_coupler, temperton_fft, timestep, user_actions, user_data_output_dvrp, user_dvrp_coltab, user_init_grid, user_init_plant_canopy, user_parin, user_read_restart_data, user_spectra, write_var_list
 
 
 Errors:
 ------
-Bugfix: Initial hydrostatic pressure profile in case of ocean runs is now
-calculated in 5 iteration steps. (init_ocean)
 
-Bugfix: wrong sign in buoyancy production of ocean part in case of not using
-the reference density (only in 3D routine production_e) (production_e)
 
-Bugfix: output of averaged 2d/3d quantities requires that an avaraging
-interval has been set, respective error message is included (check_parameters)
-
-Bugfix: Output on unit 14 only if requested by write_binary.
-(user_last_actions)
-
-Bugfix to avoid zero division by km_neutral (production_e)
-
-Bugfix for extended NetCDF files: In order to avoid 'data mode' errors if 
-updated attributes are larger than their original size, NF90_PUT_ATT is called
-in 'define mode' enclosed by NF90_REDEF and NF90_ENDDEF calls. This implies a
-possible performance loss; an alternative strategy would be to ensure equal
-attribute size in a job chain. (netcdf)
-
-Bugfix: correction of initial volume flow for non-flat topography (init_3d_model)
-Bugfix: zero initialization of arrays within buildings for 'cyclic_fill' (init_3d_model)
-
-Bugfix: to_be_resorted => s_av for time-averaged scalars (data_output_2d, data_output_3d)
-
-Bugfix: error in formatting the output (message)
-
-Bugfix: avoid that ngp_2dh_s_inner becomes zero (init_3_model)
-
-Typographical error: unit of wpt in dots_unit (modules)
-
-Bugfix: error in check, if particles moved further than one subdomain length.
-This check must not be applied for newly released particles. (advec_particles)
-
-Bugfix: several tail counters are initialized, particle_tail_coordinates is
-only written to file if its third index is > 0, arrays for tails are allocated
-with a minimum size of 10 tails if there is no tail initially (init_particles,
-advec_particles)
-
-Bugfix: pressure included for profile output (check_parameters)
-
-Bugfix: Type of count and count_rate changed to default INTEGER on NEC machines
-(cpu_log)
-
-Bugfix: output if particle time series only if particle advection is switched
-on. (time_integration)
-
-Bugfix: qsws was calculated in case of constant heatflux = .FALSE. (prandtl_fluxes)
-
-Bugfix: averaging along z is not allowed for 2d quantities (e.g. u* and z0) (data_output_2d)
-
-Typographical errors (netcdf)
-
-If the inversion height calculated by the prerun is zero, inflow_damping_height 
-must be explicitly specified (init_3d_model)
-
-Small bugfix concerning 3d 64bit netcdf output format (header)
-
-Bugfix: dt_fixed removed from the restart file, because otherwise, no change
-from a fixed to a variable timestep would be possible in restart runs.
-(read_var_list, write_var_list)
-
-Bugfix: initial setting of time_coupling in coupled restart runs (time_integration)
-
-advec_particles, check_parameters, cpu_log, data_output_2d, data_output_3d, header, init_3d_model, init_particles, init_ocean, modules, netcdf, prandtl_fluxes, production_e, read_var_list, time_integration, user_last_actions, write_var_list