Index: /palm/trunk/SCRIPTS/mrun
===================================================================
--- /palm/trunk/SCRIPTS/mrun	(revision 398)
+++ /palm/trunk/SCRIPTS/mrun	(revision 399)
@@ -192,4 +192,6 @@
      # 29/09/09 - Siggi  - default value for archiving is false, option "-A"
      #                     switches on archiving, archiving on SGI-ICE enabled
+     # 16/10/09 - Carolin - adjustments for archiving on SGI-ICE of binary files;
+     #                      adjustment for special1q
 
  
@@ -2640,9 +2642,9 @@
              if [[ $files_for_pes = false ]]
              then
-                if [[ $localhost = ibmh ]]
+                if [[ $localhost = lcsgih ]]
                 then
-                   ssh  $usern@hdata.hlrn.de  "cp  $PERM/${frelin[$i]}  $PWD"
+                   ssh  $usern@hicedata.hlrn.de  "cp  $PERM/${frelin[$i]}  $PWD"
                 else
-                   ssh  $usern@bdata.hlrn.de  "cp  $PERM/${frelin[$i]}  $PWD"
+                   ssh  $usern@bicedata.hlrn.de  "cp  $PERM/${frelin[$i]}  $PWD"
                 fi
              else
@@ -2650,9 +2652,9 @@
                 while (( inode < nodes ))
                 do
-                   if [[ $localhost = ibmh ]]
+                   if [[ $localhost = lcsgih ]]
                    then
-                      ssh  $usern@hdata.hlrn.de  "cd $PWD; tar  xf  $PERM/${frelin[$i]}/${frelin[$i]}.node_$inode.tar"
+                      ssh  $usern@hicedata.hlrn.de  "cd $PWD; tar  xf  $PERM/${frelin[$i]}/${frelin[$i]}.node_$inode.tar"
                    else
-                      ssh  $usern@bdata.hlrn.de  "cd $PWD; tar  xf  $PERM/${frelin[$i]}/${frelin[$i]}.node_$inode.tar"
+                      ssh  $usern@bicedata.hlrn.de  "cd $PWD; tar  xf  $PERM/${frelin[$i]}/${frelin[$i]}.node_$inode.tar"
                    fi
                    (( inode = inode + 1 ))
@@ -3767,8 +3769,8 @@
                 if [[ $archive_system != none ]]
                 then
-                   if [[ $localhost = ibmh  ||  $localhost = ibmb ]]
+                   if [[ $localhost = lcsgih  ||  $localhost = lcsgib ]]
                    then
 #                      subjob  -d  -v  -q cdata  -X 0  -m 1000  -t 43200  -c $job_catalog  archive_${frelout[$i]}
-                      subjob   -v  -q cdata  -X 0  -m 1000  -t 43200  -c $job_catalog  archive_${frelout[$i]}
+                      subjob   -v  -q dataq  -X 1 -T 1  -m 1000  -t 10800  -c $job_catalog  archive_${frelout[$i]}
                    elif [[ $localhost = nech ]]
                    then
@@ -3778,5 +3780,5 @@
                 fi
              else
-                printf "              +++ caution: option -A is switched on. No archiving on $archive_system!\n"
+                printf "              +++ caution: option -A is switched off. No archiving on $archive_system!\n"
              fi
 
@@ -4090,5 +4092,10 @@
                 # WARTEN, DAMIT SICH RESTART JOB IN QUEUE EINREIHEN KANN, BEVOR
                 # DER AKTUELLE JOB ENDET
-             sleep 30
+	     if [[ $queue = special1q ]]
+	     then
+                sleep 120
+	     else
+	        sleep 30
+	     fi
 
           else
Index: /palm/trunk/SCRIPTS/subjob
===================================================================
--- /palm/trunk/SCRIPTS/subjob	(revision 398)
+++ /palm/trunk/SCRIPTS/subjob	(revision 399)
@@ -107,4 +107,6 @@
      # 03/09/09 - Siggi - PBS sgi feature directive only used if explicitly
      #                    set in the config file by the user
+     # 16/10/09 - Carolin - adjustments for archiving on SGI-ICE of binary files;
+     #                      adding special1q
 
     # VARIABLENVEREINBARUNGEN + DEFAULTWERTE
@@ -375,5 +377,5 @@
                  esac;;
         (lcsgib|lcsgih)   case  $ndq  in
-                     (testq|serialq|smallq|bigq|workq)       error=false;;
+                     (testq|serialq|smallq|bigq|workq|dataq|special1q)       error=false;;
                      (*)                                     error=true;;
                  esac;;
@@ -757,6 +759,11 @@
        feature_directive=""
     fi
-
-    if [[ $queue = testq  ||  $queue = workq ]]
+    
+    if [[ $queue = dataq ]]
+    then
+       feature_directive="#PBS -l feature=data"
+    fi
+
+    if [[ $queue = testq  || $queue = workq || $queue = dataq || $queue = special1q ]]
     then
        queue_directive="#PBS -q $queue"