Index: /palm/trunk/DOC/app/chapter_5.0.html
===================================================================
--- /palm/trunk/DOC/app/chapter_5.0.html	(revision 403)
+++ /palm/trunk/DOC/app/chapter_5.0.html	(revision 404)
@@ -1,10 +1,10 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
 <html><head>
+
 <meta http-equiv="CONTENT-TYPE" content="text/html; charset=windows-1252"><title>PALM chapter 5.0</title> <meta name="GENERATOR" content="StarOffice 7 (Win32)"> <meta name="AUTHOR" content="Siegfried Raasch"> <meta name="CREATED" content="20041103;12380720"> <meta name="CHANGED" content="20041123;15532356"> <meta name="KEYWORDS" content="parallel LES model"> <style>
 <!--
 @page { size: 21cm 29.7cm }
 -->
-</style></head>
-<body style="direction: ltr;" lang="en-US"><h2 style="line-height: 100%;"><font size="4">5.0
+</style></head><body style="direction: ltr;" lang="en-US"><h2 style="line-height: 100%;"><font size="4">5.0
 Installation of the
 model</font></h2>
@@ -121,10 +121,10 @@
 ~/palm/current_version</span><br style="font-family: Courier New,Courier,monospace;"><span style="font-family: Courier New,Courier,monospace;">svn
 checkout --username &lt;your username&gt;
-svn://130.75.105.45/palm/tags/release-&lt;#&gt; trunk</span><br></div><p style="line-height: 100%;"><font color="#000000">You
+svn://130.75.105.2/palm/tags/release-&lt;#&gt; trunk</span><br></div><p style="line-height: 100%;"><font color="#000000">You
 will then be prompted for your password. After finishing, the
 subdirectory</font><font style="font-family: Courier New,Courier,monospace;" color="#000000"> trunk </font><font color="#000000">should
 appear in your working directory. It contains a number of further
 subdirectories which contain e.g. the PALM source code (</font><font style="font-family: Courier New,Courier,monospace;" color="#000000">SOURCE</font><font color="#000000">)
-and the scripts for running PALM (</font><font style="font-family: Courier New,Courier,monospace;" color="#000000">SCRIPTS</font><font color="#000000">).</font></p><p style="line-height: 100%;">Alternatively,&nbsp;executing</p><pre style="line-height: 100%; margin-left: 40px; font-family: Courier New,Courier,monospace;">svn checkout --username &lt;your username&gt; svn://130.75.105.45/palm/tags/release-&lt;#&gt; abcde</pre><p style="line-height: 100%;">will place your working copy in a
+and the scripts for running PALM (</font><font style="font-family: Courier New,Courier,monospace;" color="#000000">SCRIPTS</font><font color="#000000">).</font></p><p style="line-height: 100%;">Alternatively,&nbsp;executing</p><pre style="line-height: 100%; margin-left: 40px; font-family: Courier New,Courier,monospace;">svn checkout --username &lt;your username&gt; svn://130.75.105.2/palm/tags/release-&lt;#&gt; abcde</pre><p style="line-height: 100%;">will place your working copy in a
 directory named<span style="font-family: Courier New,Courier,monospace;"> abcde </span>instead
 of a directory named<span style="font-family: Courier New,Courier,monospace;"> trunk</span>.
@@ -133,5 +133,5 @@
 your working copy of PALM, unless you&nbsp;know exactly what you
 are doing.</p><p style="line-height: 100%; font-weight: bold;"><span style="font-weight: normal;">You can also get a copy of the
-most recent code by executing</span></p><pre style="line-height: 100%; margin-left: 40px; font-family: Courier New,Courier,monospace;">svn checkout --username &lt;your username&gt; svn://130.75.105.45/palm/trunk trunk</pre>However,
+most recent code by executing</span></p><pre style="line-height: 100%; margin-left: 40px; font-family: Courier New,Courier,monospace;">svn checkout --username &lt;your username&gt; svn://130.75.105.2/palm/trunk trunk</pre>However,
 this version may contain bugs and new features may not be documented. <span style="font-weight: bold;">In future PALM releases,
 repository access to this most recent&nbsp;version will
@@ -239,13 +239,16 @@
 test run can
 now be started by executing the command </font>
-</p><pre style="margin-left: 1cm; margin-right: 1cm; margin-bottom: 0.5cm; line-height: 100%; font-family: Courier New,Courier,monospace;"><font color="#000000">mrun -d example_cbl -h lcsgih -K parallel -X 8 -T 8 -t 500 -q testq -r &ldquo;d3# pr#&rdquo;</font></pre><font color="#000000">This specific run
+</p><pre style="margin-left: 1cm; margin-right: 1cm; margin-bottom: 0.5cm; line-height: 100%; font-family: Courier New,Courier,monospace;"><font color="#000000">mrun -d example_cbl -h lcsgih -K parallel -X 8 -T 8 -t 500 -q testq -r d3# pr#</font></pre><font color="#000000">This specific run
 will be carried out on 8 PEs and is allowed to use up to 500 seconds
 CPU time. After pressing &lt;return&gt;, the most important
 settings of
 the job are displayed at the terminal window
-and the user is prompted for o.k. (&ldquo;</font><font style="font-family: Courier New,Courier,monospace;" color="#000000">y</font><font color="#000000">&rdquo;).
-Next, a message of the queuing system like &ldquo;<i>Request</i>
-&hellip;
-<i>Submitted to queue&hellip; by&hellip;&rdquo; </i>should
+and the user is prompted for o.k. (</font><font style="font-family: Courier New,Courier,monospace;" color="#000000">y</font><font color="#000000">).
+Next, a message of the queuing system like <i>Request</i>
+
+
+<i>Submitted to queue
+ by
+ </i>should
 be displayed. Now the job is
 queued and either started immediately or at a later time, depending on
Index: /palm/trunk/DOC/app/chapter_5.1.html
===================================================================
--- /palm/trunk/DOC/app/chapter_5.1.html	(revision 403)
+++ /palm/trunk/DOC/app/chapter_5.1.html	(revision 404)
@@ -1,8 +1,8 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
 <html><head>
+
 <meta content="text/html; charset=windows-1252" http-equiv="CONTENT-TYPE"><title>PALM chapter 5.1</title>
 <meta content="StarOffice 7 (Win32)" name="GENERATOR">
-<meta content="Siegfried Raasch" name="AUTHOR"> <meta content="20041103;12395815" name="CREATED"> <meta content="20041119;12321236" name="CHANGED"> <meta content="parallel LES model" name="KEYWORDS"></head>
-<body style="direction: ltr;" lang="en-US"><h3>5.1
+<meta content="Siegfried Raasch" name="AUTHOR"> <meta content="20041103;12395815" name="CREATED"> <meta content="20041119;12321236" name="CHANGED"> <meta content="parallel LES model" name="KEYWORDS"></head><body style="direction: ltr;" lang="en-US"><h3>5.1
 Installation of new / other versions, version update</h3>
 <p>The PALM&nbsp;group announces code revisions by emails
@@ -36,5 +36,5 @@
 ~/palm/release-3.1c</span><br style="font-family: Courier New,Courier,monospace;"><span style="font-family: Courier New,Courier,monospace;">svn
 checkout --username &lt;your username&gt;
-svn://130.75.105.45/palm/tags/release-3.1c trunk</span></p>
+svn://130.75.105.2/palm/tags/release-3.1c trunk</span></p>
 <p>However, this would require to carry out again the complete
 installation process described in chapter 5.0. So far, differet