Index: /palm/trunk/DOC/app/chapter_3.5.4.html
===================================================================
--- /palm/trunk/DOC/app/chapter_3.5.4.html	(revision 404)
+++ /palm/trunk/DOC/app/chapter_3.5.4.html	(revision 405)
@@ -1,10 +1,10 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
 <html><head>
+
 <meta http-equiv="CONTENT-TYPE" content="text/html; charset=windows-1252"><title>PALM chapter 3.5.4</title> <meta name="GENERATOR" content="StarOffice 7 (Win32)"> <meta name="AUTHOR" content="Siegfried Raasch"> <meta name="CREATED" content="20040802;14050943"> <meta name="CHANGED" content="20041117;12180008"> <meta name="KEYWORDS" content="parallel LES model"> <style>
 <!--
 @page { size: 21cm 29.7cm }
 -->
-</style></head>
-<body style="direction: ltr;" lang="en-US"><h3 style="line-height: 100%;"><font size="4">3.5.4
+</style></head><body style="direction: ltr;" lang="en-US"><h3 style="line-height: 100%;"><font size="4">3.5.4
 User-defined output quantities<br>
 </font></h3>A very typical request of users is the
@@ -172,8 +172,8 @@
 &nbsp;IF ( initializing_actions == 'read_restart_data' )&nbsp;
 THEN</span><br style="font-family: monospace;"><span style="font-family: monospace;">&nbsp;&nbsp;&nbsp;&nbsp;
-&nbsp; READ ( 13 )&nbsp; field_chr</span><br style="font-family: monospace;"><span style="font-family: monospace;">&nbsp;&nbsp;&nbsp;
-&nbsp; &nbsp;DO&nbsp; WHILE ( TRIM( field_chr ) /= '*** end
+&nbsp; READ ( 13 )&nbsp; field_char</span><br style="font-family: monospace;"><span style="font-family: monospace;">&nbsp;&nbsp;&nbsp;
+&nbsp; &nbsp;DO&nbsp; WHILE ( TRIM( field_char ) /= '*** end
 user ***' )</span><br style="font-family: monospace;"><br style="font-family: monospace;"><span style="font-family: monospace;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-&nbsp; &nbsp; SELECT CASE ( TRIM( field_chr ) )</span><br style="font-family: monospace;"><br style="font-family: monospace;"><span style="font-family: monospace;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+&nbsp; &nbsp; SELECT CASE ( TRIM( field_char ) )</span><br style="font-family: monospace;"><br style="font-family: monospace;"><span style="font-family: monospace;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 &nbsp;&nbsp; &nbsp;&nbsp; CASE ( 'u2_av' )</span><br style="font-family: monospace;"><span style="font-family: monospace;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 &nbsp;&nbsp; &nbsp; ALLOCATE(
@@ -186,6 +186,5 @@
 &nbsp; &nbsp;&nbsp;
 &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-TRIM(
-field_chr ), '" found in'</span><br style="font-family: monospace;"><span style="font-family: monospace;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+TRIM( field_char ), '" found in'</span><br style="font-family: monospace;"><span style="font-family: monospace;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 &nbsp; &nbsp;&nbsp; &nbsp; &nbsp; PRINT*,
 '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -276,5 +275,8 @@
 grid = 'zu'</span><br>&nbsp;<br>The <span style="font-family: monospace;">ELSE</span> case is
 only needed in case that output of time-averaged data is requested.<br><br>
-As a special case, xy cross section output can also be defined at one single level at height <span style="font-family: monospace;">k=nzb+1</span> on the u-grid. This features is useful for output of surface data (e.g. heat fluxes). In this case, the corresponding 2d data has to be resorted to the array <span style="font-family: monospace;">local_pf(i,j,nzb+1).</span> In addition to this, the grid in <a href="chapter_3.5.1.html#user_define_netcdf_grid"><span style="font-family: monospace;">user_define_netcdf_grid</span></a> as well as in <a href="chapter_3.5.1.html#user_data_output_2d"><span style="font-family: monospace;">user_data_output_2d</span></a> must be set to <span style="font-family: monospace;">grid = 'zu1'</span>.<br><br>
+As a special case, xy cross section output can also be defined at one single level at height <span style="font-family: monospace;">k=nzb+1</span>
+on the u-grid. This features is useful for output of surface data (e.g.
+heat fluxes). In this case, the corresponding 2d data has to be
+resorted to the array <span style="font-family: monospace;">local_pf(i,j,nzb+1).</span> In addition to this, the grid in <a href="chapter_3.5.1.html#user_define_netcdf_grid"><span style="font-family: monospace;">user_define_netcdf_grid</span></a> as well as in <a href="chapter_3.5.1.html#user_data_output_2d"><span style="font-family: monospace;">user_data_output_2d</span></a> must be set to <span style="font-family: monospace;">grid = 'zu1'</span>.<br><br>
 <span style="font-family: monospace;">&nbsp;&nbsp;&nbsp;&nbsp;CASE
 ( 'u2_xy' )</span><br style="font-family: monospace;"><span style="font-family: monospace;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
Index: /palm/trunk/SCRIPTS/mrun
===================================================================
--- /palm/trunk/SCRIPTS/mrun	(revision 404)
+++ /palm/trunk/SCRIPTS/mrun	(revision 405)
@@ -3162,5 +3162,8 @@
              if [[ $threads_per_task != 1 ]]
              then
-                printf "\n      threads per task: $threads_per_task"
+                   # increase stack size to unlimited, because large runs
+                   # may abort otherwise
+                ulimit -Ss unlimited
+                printf "\n      threads per task: $threads_per_task  stacksize: unlimited"
              fi
              if [[ $run_coupled_model = false ]]
@@ -3197,6 +3200,12 @@
                       export MV2_NUM_PORTS=2
                       #  The default setting of MV2_CPU_MAPPING gives best results
+                      # export MV2_ENABLE_AFFINITY=1
                       #  export MV2_CPU_MAPPING=0,1,4,5,2,3,6,7
-                      mpiexec -np $ii  ./a.out  $ROPTS  < runfile_atmos
+                      if [[ $threads_per_task != 1 ]]
+                      then
+                         mpiexec -npernode 1  ./a.out  $ROPTS  <  runfile_atmos
+                      else
+                         mpiexec -np $ii  ./a.out  $ROPTS  < runfile_atmos
+                      fi
                    fi
                 elif [[ $host = lcxt4 ]]
Index: /palm/trunk/SOURCE/CURRENT_MODIFICATIONS
===================================================================
--- /palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 404)
+++ /palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 405)
@@ -7,5 +7,5 @@
 var_ts is replaced by dots_max (modules,init_3d_model)
 
-modules,init_3d_model
+init_3d_model, modules
 
 
@@ -18,5 +18,8 @@
 Bugfix: calculation of precipitation_rate (calc_precipitation)
 
-sum_up_3d_data, time_integration, calc_precipitation
+Bugfix: initial data assignments to some dvrp arrays changed due to error
+messages from gfortran compiler (modules=
+
+calc_precipitation, modules, sum_up_3d_data, time_integration
 
 
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 404)
+++ /palm/trunk/SOURCE/modules.f90	(revision 405)
@@ -5,6 +5,7 @@
 ! Current revisions:
 ! -----------------
-! -var_ts: replaced by dots_max
-!
+! -var_ts: replaced by dots_max,
+! initial data assignments to some dvrp arrays changed due to error messages
+! from gfortran compiler
 !
 ! Former revisions:
@@ -583,56 +584,59 @@
                            topography_color = (/ 0.8, 0.7, 0.6 /)
 
-#if defined( __decalpha )
-    REAL, DIMENSION(2,10)  ::  slicer_range_limits_dvrp = (/ &
+!#if defined( __decalpha )
+    REAL, DIMENSION(2,10)  ::  slicer_range_limits_dvrp = RESHAPE( (/       &
                                 -1.0, 1.0, -1.0, 1.0, -1.0, 1.0, -1.0, 1.0, &
                                 -1.0, 1.0, -1.0, 1.0, -1.0, 1.0, -1.0, 1.0, &
-                                -1.0, 1.0, -1.0, 1.0 /)
-
-    REAL, DIMENSION(3,10)  ::  isosurface_color = (/ &
+                                -1.0, 1.0, -1.0, 1.0 /), (/ 2, 10 /) )
+
+    REAL, DIMENSION(3,10)  ::  isosurface_color = RESHAPE( (/                  &
                                 0.9, 0.9, 0.9,  0.8, 0.1, 0.1,  0.1, 0.1, 0.8, &
                                 0.1, 0.8, 0.1,  0.6, 0.1, 0.1,  0.1, 0.1, 0.6, &
-                                0.1, 0.6, 0.1,  0.4, 0.1, 0.1,  0.1, 0.1, 0.4  &
-                                0.1, 0.4, 0.1 /)
+                                0.1, 0.6, 0.1,  0.4, 0.1, 0.1,  0.1, 0.1, 0.4, &
+                                0.1, 0.4, 0.1 /), (/ 3, 10 /) )
 
     REAL(4), DIMENSION(2,100) ::  interval_values_dvrp, interval_h_dvrp =      &
-                                  (/ 270.0, 225.0, 225.0, 180.0, 70.0, 25.0,   &
-                                     25.0, -25.0, ( 0.0, i9 = 1, 192 ) /),     &
+                                  RESHAPE( (/ 270.0, 225.0, 225.0, 180.0,      &
+                                               70.0,  25.0,  25.0, -25.0,      &
+                                              ( 0.0, i9 = 1, 192 ) /),         &
+                                           (/ 2, 100 /) ),                     &
                                   interval_l_dvrp = 0.5, interval_s_dvrp = 1.0,&
                                   interval_a_dvrp = 0.0,                       &
                                   interval_values_dvrp_prt,                    &
-                                  interval_h_dvrp_prt,                         &
+                                  interval_h_dvrp_prt = RESHAPE(               &
                                   (/ 270.0, 225.0, 225.0, 180.0, 70.0, 25.0,   &
                                      25.0, -25.0, ( 0.0, i9 = 1, 192 ) /),     &
+                                                  (/ 2, 100 /) ),              &
                                   interval_l_dvrp_prt = 0.5,                   &
                                   interval_s_dvrp_prt = 1.0,                   &
                                   interval_a_dvrp_prt = 0.0
-#else
-    REAL, DIMENSION(2,10)     ::  slicer_range_limits_dvrp
-
-    REAL, DIMENSION(3,10)     ::  isosurface_color
-
-    REAL(4), DIMENSION(2,100) ::  interval_values_dvrp,                       &
-                                  interval_values_dvrp_prt, interval_h_dvrp,  &
-                                  interval_h_dvrp_prt, interval_l_dvrp = 0.5, &
-                                  interval_l_dvrp_prt = 0.5, interval_s_dvrp = 1.0, &
-                                  interval_s_dvrp_prt = 1.0, interval_a_dvrp = 0.0, &
-                                  interval_a_dvrp_prt = 0.0
-
-    DATA  slicer_range_limits_dvrp / -1.0, 1.0, -1.0, 1.0, -1.0, 1.0, &
-                                     -1.0, 1.0, -1.0, 1.0, -1.0, 1.0, &
-                                     -1.0, 1.0, -1.0, 1.0, -1.0, 1.0, &
-                                     -1.0, 1.0 /
-
-    DATA  isosurface_color / 0.9, 0.9, 0.9,  0.8, 0.1, 0.1,  0.1, 0.1, 0.8, &
-                             0.1, 0.8, 0.1,  0.6, 0.1, 0.1,  0.1, 0.1, 0.6, &
-                             0.1, 0.6, 0.1,  0.4, 0.1, 0.1,  0.1, 0.1, 0.4, &
-                             0.1, 0.4, 0.1 /
-
-    DATA  interval_h_dvrp / 270.0, 225.0, 225.0, 180.0, 70.0, 25.0, &
-                            25.0, -25.0, 192 * 0.0 /
-
-    DATA  interval_h_dvrp_prt / 270.0, 225.0, 225.0, 180.0, 70.0, 25.0, &
-                                25.0, -25.0, 192 * 0.0 /
-#endif
+!#else
+!    REAL, DIMENSION(2,10)     ::  slicer_range_limits_dvrp
+
+!    REAL, DIMENSION(3,10)     ::  isosurface_color
+
+!    REAL(4), DIMENSION(2,100) ::  interval_values_dvrp,                       &
+!                                  interval_values_dvrp_prt, interval_h_dvrp,  &
+!                                  interval_h_dvrp_prt, interval_l_dvrp = 0.5, &
+!                                  interval_l_dvrp_prt = 0.5, interval_s_dvrp = 1.0, &
+!                                  interval_s_dvrp_prt = 1.0, interval_a_dvrp = 0.0, &
+!                                  interval_a_dvrp_prt = 0.0
+
+!    DATA  slicer_range_limits_dvrp / -1.0, 1.0, -1.0, 1.0, -1.0, 1.0, &
+!                                     -1.0, 1.0, -1.0, 1.0, -1.0, 1.0, &
+!                                     -1.0, 1.0, -1.0, 1.0, -1.0, 1.0, &
+!                                     -1.0, 1.0 /
+
+!    DATA  isosurface_color / 0.9, 0.9, 0.9,  0.8, 0.1, 0.1,  0.1, 0.1, 0.8, &
+!                             0.1, 0.8, 0.1,  0.6, 0.1, 0.1,  0.1, 0.1, 0.6, &
+!                             0.1, 0.6, 0.1,  0.4, 0.1, 0.1,  0.1, 0.1, 0.4, &
+!                             0.1, 0.4, 0.1 /
+
+!    DATA  interval_h_dvrp / 270.0, 225.0, 225.0, 180.0, 70.0, 25.0, &
+!                            25.0, -25.0, 192 * 0.0 /
+
+!    DATA  interval_h_dvrp_prt / 270.0, 225.0, 225.0, 180.0, 70.0, 25.0, &
+!                                25.0, -25.0, 192 * 0.0 /
+!#endif
 
     REAL(4), DIMENSION(:), ALLOCATABLE ::  xcoor_dvrp, ycoor_dvrp, zcoor_dvrp