Index: /palm/trunk/DOC/app/chapter_4.1.html
===================================================================
--- /palm/trunk/DOC/app/chapter_4.1.html	(revision 406)
+++ /palm/trunk/DOC/app/chapter_4.1.html	(revision 407)
@@ -14386,5 +14386,5 @@
 Non-flat <span style="font-weight: bold;">topography</span>
 modes may assign a</font>
-kinematic sensible<font color="#000000"> <a href="chapter_4.1.html#wall_heatflux">wall_heatflux</a> at the five topography faces.</font><br>
+kinematic sensible<font color="#000000"> <a href="chapter_4.1.html#wall_heatflux">wall_heatflux</a> and a kinematic <a href="chapter_4.1.html#wall_humidityflux">wall_humidityflux</a> (requires <a href="chapter_4.1.html#humidity">humidity</a> = .T.) or a <a href="chapter_4.1.html#wall_scalarflux">wall_scalarflux</a> (requires <a href="chapter_4.1.html#passive_scalar">passive_scalar</a> = .T.) at the five topography faces.</font><br>
 
       <font color="#000000">
@@ -14408,5 +14408,5 @@
       <i>&nbsp;</i><a href="#alpha_surface">alpha_surface</a>
 = 0.0,<span style="font-style: italic;"></span>&nbsp;<a style="" href="#galilei_transformation">galilei_transformation</a>
-= <span style="font-style: italic;">.F.</span>,&nbsp;<a href="#cloud_physics">cloud_physics&nbsp;</a> = <span style="font-style: italic;">.F.</span>,&nbsp; <a href="#cloud_droplets">cloud_droplets</a> = <span style="font-style: italic;">.F.</span>,&nbsp;&nbsp;<a href="#humidity">humidity</a> = <span style="font-style: italic;">.F.</span>, and <a href="#prandtl_layer">prandtl_layer</a> = .T..<br>
+= <span style="font-style: italic;">.F.</span>,&nbsp;<a href="#cloud_physics">cloud_physics&nbsp;</a> = <span style="font-style: italic;">.F.</span>,&nbsp; <a href="#cloud_droplets">cloud_droplets</a> = <span style="font-style: italic;">.F.</span>, and <a href="#prandtl_layer">prandtl_layer</a> = .T..<br>
 
 
@@ -17028,11 +17028,227 @@
 
 
-
-
- 
-  
-  
-  
-  
+  <tr>
+
+
+
+
+
+
+ <td style="vertical-align: top;"><span style="font-weight: bold;"><a name="wall_humidityflux"></a>wall_humidityflux</span></td>
+
+
+
+
+
+
+
+      <td style="vertical-align: top;">R(5)</td>
+
+
+
+
+
+
+ <td style="vertical-align: top;"><span style="font-style: italic;">5 * 0.0</span></td>
+
+
+
+
+
+
+ <td>Prescribed
+kinematic humidity flux in m/s
+at the five topography faces:<br>
+
+
+
+
+
+
+ <br>
+
+
+
+
+
+
+ 
+      
+      
+      
+      
+      
+      
+      <div style="margin-left: 40px;"><span style="font-weight: bold;">wall_humidityflux(0)&nbsp;&nbsp;
+&nbsp;</span>top face<br>
+
+
+
+
+
+
+ <span style="font-weight: bold;">wall_humidityflux(1)&nbsp;&nbsp;&nbsp;
+      </span>left face<br>
+
+
+
+
+
+
+ <span style="font-weight: bold;">wall_humidityflux(2)&nbsp;&nbsp;&nbsp;
+      </span>right face<br>
+
+
+
+
+
+
+ <span style="font-weight: bold;">wall_humidityflux(3)&nbsp;&nbsp;&nbsp;
+      </span>south face<br>
+
+
+
+
+
+
+ <span style="font-weight: bold;">wall_humidityflux(4)&nbsp;&nbsp;&nbsp;
+      </span>north face</div>
+
+
+
+
+
+
+ <br>
+
+
+
+
+
+
+
+This parameter applies only in case of a non-flat <a href="#topography">topography</a> and <a href="#humidity">humidity</a> = .T.
+</td>
+
+
+
+
+
+
+ </tr>
+ 
+ 
+ <tr>
+
+
+
+
+
+
+ <td style="vertical-align: top;"><span style="font-weight: bold;"><a name="wall_scalarflux"></a>wall_scalarflux</span></td>
+
+
+
+
+
+
+
+      <td style="vertical-align: top;">R(5)</td>
+
+
+
+
+
+
+ <td style="vertical-align: top;"><span style="font-style: italic;">5 * 0.0</span></td>
+
+
+
+
+
+
+ <td>Prescribed scalar flux in kg/(m<sup>2</sup> s)
+at the five topography faces:<br>
+
+
+
+
+
+
+ <br>
+
+
+
+
+
+
+ 
+      
+      
+      
+      
+      
+      
+      <div style="margin-left: 40px;"><span style="font-weight: bold;">wall_scalarflux(0)&nbsp;&nbsp;
+&nbsp;</span>top face<br>
+
+
+
+
+
+
+ <span style="font-weight: bold;">wall_scalarflux(1)&nbsp;&nbsp;&nbsp;
+      </span>left face<br>
+
+
+
+
+
+
+ <span style="font-weight: bold;">wall_scalarflux(2)&nbsp;&nbsp;&nbsp;
+      </span>right face<br>
+
+
+
+
+
+
+ <span style="font-weight: bold;">wall_scalarflux(3)&nbsp;&nbsp;&nbsp;
+      </span>south face<br>
+
+
+
+
+
+
+ <span style="font-weight: bold;">wall_scalarflux(4)&nbsp;&nbsp;&nbsp;
+      </span>north face</div>
+
+
+
+
+
+
+ <br>
+
+
+
+
+
+
+
+This parameter applies only in case of a non-flat <a href="#topography">topography</a> and <a href="#passive_scalar">passive_scalar</a> = .T.
+</td>
+
+
+
+
+
+
+ </tr>
+
+
+
+ 
   
   
Index: /palm/trunk/DOC/app/chapter_4.6.html
===================================================================
--- /palm/trunk/DOC/app/chapter_4.6.html	(revision 406)
+++ /palm/trunk/DOC/app/chapter_4.6.html	(revision 407)
@@ -15092,5 +15092,62 @@
 
 
-
+ <tr>
+
+
+
+ <td><a href="chapter_4.1.html#wall_humidityflux"><span style="font-weight: bold;">wall_humidityflux</span></a></td>
+
+
+
+
+      <td>I</td>
+
+
+
+ <td>R(5)</td>
+
+
+
+ <td><span style="font-style: italic;">5 * 0.0</span></td>
+
+
+
+ <td>Prescribed
+kinematic humidtiy flux in m/s&nbsp;at
+the five topography faces.</td>
+
+
+
+ </tr>
+ 
+  <tr>
+
+
+
+ <td><a href="chapter_4.1.html#wall_scalarflux"><span style="font-weight: bold;">wall_scalarflux</span></a></td>
+
+
+
+
+      <td>I</td>
+
+
+
+ <td>R(5)</td>
+
+
+
+ <td><span style="font-style: italic;">5 * 0.0</span></td>
+
+
+
+ <td>Prescribed
+scalar flux in kg/(m<sup>2</sup> s) at
+the five topography faces.</td>
+
+
+
+ </tr>
+ 
  <tr>
 
Index: /palm/trunk/SCRIPTS/mbuild
===================================================================
--- /palm/trunk/SCRIPTS/mbuild	(revision 406)
+++ /palm/trunk/SCRIPTS/mbuild	(revision 407)
@@ -107,4 +107,5 @@
      # 21/04/09 - Siggi - adjustments for new IBM at DKRZ, which is now ibmh
      # 25/08/09 - BjornM- adapted for lck
+     # 01/12/09 - BjornM- re-adjustments for lcxt4
 
 
@@ -1110,5 +1111,5 @@
              then
 
-                print "cd ${remote_md}; echo $make_call_string > LAST_MAKE_CALL; chmod u+x LAST_MAKE_CALL; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" | ssh  ${remote_username}@${remote_addres} 2>&1 | tee ${remote_host}_last_make_protokoll
+                print ". /opt/modules/default/init/ksh; module load Base-opts/2.1.56HDA; module load modules/3.1.6; module load pgi/9.0.4; module load PrgEnv-pgi/2.1.56HDA; cd ${remote_md}; echo $make_call_string > LAST_MAKE_CALL; chmod u+x LAST_MAKE_CALL; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" | ssh  ${remote_username}@${remote_addres} 2>&1 | tee ${remote_host}_last_make_protokoll
 
              else
@@ -1244,4 +1245,9 @@
                 done
 
+             elif [[ $remote_host = lcxt4 ]]
+             then
+
+                print ". /opt/modules/default/init/ksh; module load Base-opts/2.1.56HDA; module load modules/3.1.6; module load pgi/9.0.4; module load PrgEnv-pgi/2.1.56HDA; cd ${remote_ud}; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" | ssh  ${remote_username}@${remote_addres} 2>&1 | tee ${remote_host}_last_make_protokoll
+
              else
 
Index: /palm/trunk/SCRIPTS/subjob
===================================================================
--- /palm/trunk/SCRIPTS/subjob	(revision 406)
+++ /palm/trunk/SCRIPTS/subjob	(revision 407)
@@ -107,6 +107,7 @@
      # 03/09/09 - Siggi - PBS sgi feature directive only used if explicitly
      #                    set in the config file by the user
-     # 16/10/09 - Carolin - adjustments for archiving on SGI-ICE of binary files;
+     # 16/10/09 - Carolin adjustments for archiving on SGI-ICE of binary files;
      #                      adding special1q
+     # 01/12/09 - BjornM- re-adjustments for lcxt4, added sno (130.75.105.113)
 
     # VARIABLENVEREINBARUNGEN + DEFAULTWERTE
@@ -203,4 +204,5 @@
      (blizzard1)             local_addres=136.172.40.15;  local_host=ibmh;;
      (irifi)                 local_addres=130.75.105.104; local_host=lcmuk;;
+     (sno)                   local_addres=130.75.105.113; local_host=lcmuk;;
      (levanto)               local_addres=130.75.105.45;  local_host=lcmuk;;
      (maestro)               local_addres=130.75.105.2;   local_host=lcmuk;;
@@ -342,6 +344,6 @@
         (ibmy)    queue=parallel; remote_addres=165.132.26.58; submcom=/usr/lpp/LoadL/full/bin/llsubmit;;
 	(lcfimm)  remote_addres=172.20.4.2; submcom=/opt/torque/bin/qsub;;
-        (lcsgib)  queue=smallq; remote_addres=130.73.232.103; submcom=/opt/moab/bin/msub;;
-        (lcsgih)  queue=smallq; remote_addres=130.75.4.102; submcom=/opt/moab/bin/msub;;
+        (lcsgib)  queue=smallq; remote_addres=130.73.232.102; submcom=/opt/moab/bin/msub;;
+        (lcsgih)  queue=smallq; remote_addres=130.75.4.103; submcom=/opt/moab/bin/msub;;
         (lck)     remote_addres=165.132.26.61; submcom=/usr/torque/bin/qsub;;
         (lctit)   queue=lctit; remote_addres=172.17.75.161; submcom=/n1ge/TITECH_GRID/tools/bin/n1ge;;
@@ -844,8 +846,9 @@
 . /opt/modules/default/init/ksh
 module load modules/3.1.6
-module load PrgEnv-pgi/2.1.56HD
-module load Base-opts/2.1.56HD
-module load moab/5.2.5-s13441
+module load PrgEnv-pgi/2.1.56HDA
+module load Base-opts/2.1.56HDA
+module load moab/5.2.5-s13570
 module load torque/2.3.4-snap.200809221601
+
 
 %%END%%
@@ -1274,4 +1277,5 @@
           echo "$submcom  $job_on_remhost"
           chmod  u+x  $job_on_remhost
+
        elif [[ $(echo $local_host | cut -c1-5) = lcsgi ]]
        then
Index: /palm/trunk/SOURCE/CURRENT_MODIFICATIONS
===================================================================
--- /palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 406)
+++ /palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 407)
@@ -1,5 +1,9 @@
 New:
 ---
+humidity=.T. is now usable for runs with topography. wall_humidityflux and 
+wall_scalarflux are the corresponding new parin arrays.
+(check_parameters, init_3d_model, parin)
 
+check parameters, init_3d_model, parin
 
 Changed:
@@ -19,5 +23,5 @@
 
 Bugfix: initial data assignments to some dvrp arrays changed due to error
-messages from gfortran compiler (modules=
+messages from gfortran compiler (modules)
 
 calc_precipitation, modules, sum_up_3d_data, time_integration
Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 406)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 407)
@@ -4,5 +4,5 @@
 ! Actual revisions:
 ! -----------------
-! 
+! Enabled passive scalar/humidity wall fluxes for non-flat topography
 !
 ! Former revisions:
@@ -331,7 +331,4 @@
        IF ( cloud_droplets )  THEN
           WRITE( action, '(A)' )  'cloud_droplets = .TRUE.'
-       ENDIF
-       IF ( humidity )  THEN
-          WRITE( action, '(A)' )  'humidity = .TRUE.'
        ENDIF
        IF ( .NOT. prandtl_layer )  THEN
@@ -858,4 +855,5 @@
           q_vertical_gradient_level = s_vertical_gradient_level
           surface_waterflux         = surface_scalarflux
+          wall_humidityflux         = wall_scalarflux
        ENDIF
 
Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 406)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 407)
@@ -8,5 +8,5 @@
 ! -----------------
 ! var_ts is replaced by dots_max 
-!
+! Enabled passive scalar/humidity wall fluxes for non-flat topography
 !
 ! Former revisions:
@@ -735,4 +735,17 @@
              IF ( constant_waterflux )  THEN
                 qsws   = surface_waterflux
+!
+!--             Over topography surface_waterflux is replaced by 
+!--             wall_humidityflux(0)
+                IF ( TRIM( topography ) /= 'flat' )  THEN
+                   wall_qflux = wall_humidityflux
+                   DO  i = nxl-1, nxr+1
+                      DO  j = nys-1, nyn+1
+                         IF ( nzb_s_inner(j,i) /= 0 )  THEN
+                            qsws(j,i) = wall_qflux(0)
+                         ENDIF
+                      ENDDO
+                   ENDDO
+                ENDIF
                 IF ( ASSOCIATED( qsws_m ) )  qsws_m = qsws
              ENDIF
Index: /palm/trunk/SOURCE/parin.f90
===================================================================
--- /palm/trunk/SOURCE/parin.f90	(revision 406)
+++ /palm/trunk/SOURCE/parin.f90	(revision 407)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! +wall_humidityflux, wall_scalarflux
 !
 ! Former revisions:
@@ -131,5 +131,6 @@
              use_surface_fluxes, use_top_fluxes, use_ug_for_galilei_tr, &
              use_upstream_for_tke, vg_surface, vg_vertical_gradient, &
-             vg_vertical_gradient_level, v_bulk, wall_adjustment, wall_heatflux
+             vg_vertical_gradient_level, v_bulk, wall_adjustment, &
+             wall_heatflux, wall_humidityflux, wall_scalarflux
 
 
Index: /palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- /palm/trunk/SOURCE/prognostic_equations.f90	(revision 406)
+++ /palm/trunk/SOURCE/prognostic_equations.f90	(revision 407)
@@ -405,5 +405,5 @@
        ENDIF
     ENDIF
-          
+
 !
 !-- pt-tendency terms with no communication