Index: palm/trunk/SCRIPTS/mrun
===================================================================
--- palm/trunk/SCRIPTS/mrun	(revision 411)
+++ palm/trunk/SCRIPTS/mrun	(revision 412)
@@ -3185,5 +3185,10 @@
                       if [[ $use_openmp = false ]]
                       then
-                         export MPI_DSM_CPULIST="0,1,4,5,2,3,6,7:allhosts"
+                         if [[ "$sgi_feature" = ice2 ]]
+                         then
+                            export MPI_DSM_CPULIST="0,4,1,5,2,6,3,7:allhosts"
+                         else
+                            export MPI_DSM_CPULIST="0,1,4,5,2,3,6,7:allhosts"
+                         fi
                       fi
                           # MPI_IB_RAILS: use both IB rails on ICE2
@@ -3192,4 +3197,5 @@
                           # NECESSARY, IF MORE THAN 4096 PEs ARE USED
                       export MPI_CONNECTIONS_THRESHOLD=8192
+                      echo "*** MPI_DSM_CPULIST=$MPI_DSM_CPULIST"
                       mpiexec_mpt -np $ii   ./a.out  $ROPTS  < runfile_atmos
 
@@ -3202,4 +3208,11 @@
                       # export MV2_ENABLE_AFFINITY=1
                       #  export MV2_CPU_MAPPING=0,1,4,5,2,3,6,7
+               #       if [[ "$sgi_feature" = ice2 ]]
+               #       then
+               #          export MV2_CPU_MAPPING=0,4,1,5,2,6,3,7
+               #       else
+               #          export MV2_CPU_MAPPING=0,1,4,5,2,3,6,7
+               #       fi
+                      echo "*** MV2_CPU_MAPPING=$MV2_CPU_MAPPING"
                       if [[ $threads_per_task != 1 ]]
                       then
Index: palm/trunk/SOURCE/CURRENT_MODIFICATIONS
===================================================================
--- palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 411)
+++ palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 412)
@@ -10,5 +10,7 @@
 write_var_list)
 
-check parameters, header, init_3d_model, Makefile, modules, parin prognostic equations, read_var_list, subsidence, write_var_list
+check parameters, header, init_3d_model, Makefile, modules, parin, prognostic_equations, read_var_list, write_var_list
+new: subsidence
+
 
 Changed:
@@ -21,4 +23,7 @@
 Errors:
 ------
+Dimension of array stat in cascade change to prevent type problems with
+mpi2 libraries (poisfft_hybrid)
+
 Bugfix: exchange of ghost points for prho included (time_integration)
 
@@ -30,5 +35,5 @@
 messages from gfortran compiler (modules)
 
-calc_precipitation, modules, sum_up_3d_data, time_integration
+calc_precipitation, modules, poisfft_hybrid, sum_up_3d_data, time_integration
 
 
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 411)
+++ palm/trunk/SOURCE/modules.f90	(revision 412)
@@ -717,5 +717,5 @@
                            topography_color = (/ 0.8, 0.7, 0.6 /)
 
-!#if defined( __decalpha )
+#if defined( __decalpha )
     REAL, DIMENSION(2,10)  ::  slicer_range_limits_dvrp = RESHAPE( (/       &
                                 -1.0, 1.0, -1.0, 1.0, -1.0, 1.0, -1.0, 1.0, &
@@ -744,32 +744,32 @@
                                   interval_s_dvrp_prt = 1.0,                   &
                                   interval_a_dvrp_prt = 0.0
-!#else
-!    REAL, DIMENSION(2,10)     ::  slicer_range_limits_dvrp
-
-!    REAL, DIMENSION(3,10)     ::  isosurface_color
-
-!    REAL(4), DIMENSION(2,100) ::  interval_values_dvrp,                       &
-!                                  interval_values_dvrp_prt, interval_h_dvrp,  &
-!                                  interval_h_dvrp_prt, interval_l_dvrp = 0.5, &
-!                                  interval_l_dvrp_prt = 0.5, interval_s_dvrp = 1.0, &
-!                                  interval_s_dvrp_prt = 1.0, interval_a_dvrp = 0.0, &
-!                                  interval_a_dvrp_prt = 0.0
-
-!    DATA  slicer_range_limits_dvrp / -1.0, 1.0, -1.0, 1.0, -1.0, 1.0, &
-!                                     -1.0, 1.0, -1.0, 1.0, -1.0, 1.0, &
-!                                     -1.0, 1.0, -1.0, 1.0, -1.0, 1.0, &
-!                                     -1.0, 1.0 /
-
-!    DATA  isosurface_color / 0.9, 0.9, 0.9,  0.8, 0.1, 0.1,  0.1, 0.1, 0.8, &
-!                             0.1, 0.8, 0.1,  0.6, 0.1, 0.1,  0.1, 0.1, 0.6, &
-!                             0.1, 0.6, 0.1,  0.4, 0.1, 0.1,  0.1, 0.1, 0.4, &
-!                             0.1, 0.4, 0.1 /
-
-!    DATA  interval_h_dvrp / 270.0, 225.0, 225.0, 180.0, 70.0, 25.0, &
-!                            25.0, -25.0, 192 * 0.0 /
-
-!    DATA  interval_h_dvrp_prt / 270.0, 225.0, 225.0, 180.0, 70.0, 25.0, &
-!                                25.0, -25.0, 192 * 0.0 /
-!#endif
+#else
+    REAL, DIMENSION(2,10)     ::  slicer_range_limits_dvrp
+
+    REAL, DIMENSION(3,10)     ::  isosurface_color
+
+    REAL(4), DIMENSION(2,100) ::  interval_values_dvrp,                       &
+                                  interval_values_dvrp_prt, interval_h_dvrp,  &
+                                  interval_h_dvrp_prt, interval_l_dvrp = 0.5, &
+                                  interval_l_dvrp_prt = 0.5, interval_s_dvrp = 1.0, &
+                                  interval_s_dvrp_prt = 1.0, interval_a_dvrp = 0.0, &
+                                  interval_a_dvrp_prt = 0.0
+
+    DATA  slicer_range_limits_dvrp / -1.0, 1.0, -1.0, 1.0, -1.0, 1.0, &
+                                     -1.0, 1.0, -1.0, 1.0, -1.0, 1.0, &
+                                     -1.0, 1.0, -1.0, 1.0, -1.0, 1.0, &
+                                     -1.0, 1.0 /
+
+    DATA  isosurface_color / 0.9, 0.9, 0.9,  0.8, 0.1, 0.1,  0.1, 0.1, 0.8, &
+                             0.1, 0.8, 0.1,  0.6, 0.1, 0.1,  0.1, 0.1, 0.6, &
+                             0.1, 0.6, 0.1,  0.4, 0.1, 0.1,  0.1, 0.1, 0.4, &
+                             0.1, 0.4, 0.1 /
+
+    DATA  interval_h_dvrp / 270.0, 225.0, 225.0, 180.0, 70.0, 25.0, &
+                            25.0, -25.0, 192 * 0.0 /
+
+    DATA  interval_h_dvrp_prt / 270.0, 225.0, 225.0, 180.0, 70.0, 25.0, &
+                                25.0, -25.0, 192 * 0.0 /
+#endif
 
     REAL(4), DIMENSION(:), ALLOCATABLE ::  xcoor_dvrp, ycoor_dvrp, zcoor_dvrp
Index: palm/trunk/SOURCE/poisfft_hybrid.f90
===================================================================
--- palm/trunk/SOURCE/poisfft_hybrid.f90	(revision 411)
+++ palm/trunk/SOURCE/poisfft_hybrid.f90	(revision 412)
@@ -4,5 +4,6 @@
 ! Current revisions: 
 ! ----------------- 
-! 
+! Dimension of array stat in cascade change to prevent type problems with
+! mpi2 libraries
 !
 ! Former revisions: 
@@ -1003,5 +1004,5 @@
        INTEGER, SAVE ::  tag = 10
 #if defined( __parallel )
-       INTEGER, DIMENSION(MPI_STATUS_SIZE) :: stat
+       INTEGER, DIMENSION(MPI_STATUS_SIZE,1) :: stat
 #endif
 