Index: palm/trunk/INSTALL/MAKE.inc.ifort.ice2.mpt
===================================================================
--- palm/trunk/INSTALL/MAKE.inc.ifort.ice2.mpt	(revision 421)
+++ palm/trunk/INSTALL/MAKE.inc.ifort.ice2.mpt	(revision 421)
@@ -0,0 +1,9 @@
+# contents of this file are include in palm's makefile if the simple install
+# process (palm_simple_install) is used.
+# Please adjust compiling parameters as required for your system
+
+PROG=palm 
+F90=mpif90
+COPT= -cpp -DMPI_REAL=MPI_DOUBLE_PRECISION -DMPI_2REAL=MPI_2DOUBLE_PRECISION -D__netcdf -D__netcdf_64bit -D__intel_openmp_bug -D__lc -D__parallel -D__mpi2
+F90FLAGS= -xSSE4.2 -O3 -openmp -r8 -align all -ftz -fno-alias -no-prec-div -no-prec-sqrt -ip -nbs -convert little_endian -I /sw/dataformats/netcdf/3.6.2/include
+LDFLAGS= -xSSE4.2 -O3 -openmp -r8 -align all -ftz -fno-alias -no-prec-div -no-prec-sqrt -ip -nbs -Vaxlib -lmpi -lmkl_intel_lp64 -lmkl_sequential -lmkl_core -L/sw/dataformats/netcdf/3.6.2/lib -lnetcdf -lnetcdff
Index: palm/trunk/INSTALL/MAKE.inc.ifort.imuk
===================================================================
--- palm/trunk/INSTALL/MAKE.inc.ifort.imuk	(revision 421)
+++ palm/trunk/INSTALL/MAKE.inc.ifort.imuk	(revision 421)
@@ -0,0 +1,9 @@
+# contents of this file are include in palm's makefile if the simple install
+# process (palm_simple_install) is used.
+# Please adjust compiling parameters as required for your system
+
+PROG=palm 
+F90=mpif90
+COPT= -cpp -DMPI_REAL=MPI_DOUBLE_PRECISION -DMPI_2REAL=MPI_2DOUBLE_PRECISION -D__netcdf -D__netcdf_64bit -D__intel_openmp_bug -D__lc -D__parallel
+F90FLAGS= -axW -openmp -r8 -nbs -convert little_endian -I /muksoft_64/packages/netcdf/3.6.3/include
+LDFLAGS= -axW -openmp -r8 -nbs -Vaxlib -L/muksoft_64/packages/netcdf/3.6.3/lib -lnetcdf
Index: palm/trunk/SCRIPTS/palm_simple_install
===================================================================
--- palm/trunk/SCRIPTS/palm_simple_install	(revision 421)
+++ palm/trunk/SCRIPTS/palm_simple_install	(revision 421)
@@ -0,0 +1,74 @@
+#!/bin/ksh
+# palm_simple_install - a script for simple installation and compilation of
+#                       the palm code without using mbuild
+# $Id$
+
+     # This script creates (from the working copy of the palm repository)
+     # a subdirectory MAKE_DEPOSITORY_simple which contains a copy of the
+     # palm source code and  a modified makefile which loads required compiler
+     # and preprocessor settings via "include MAKE.inc"
+
+     # Options: -i <include file>
+     #          one of the include files in ~/palm/current_version/trunk/INSTALL
+
+     # Last changes:
+     # 25/01/10 - Siggi - Generating the first version
+
+
+    # Variable declarations + default values
+ include_file=unknown
+
+
+    # Read shellscript options
+ while  getopts  :i:  option
+ do
+   case  $option  in
+       (i)   include_file=$OPTARG;;
+       (\?)  printf "\n  +++ unknown option $OPTARG \n"
+             printf "\n      allowed option are -d, -f, -l, -s \n"
+             exit;;
+   esac
+ done
+
+
+
+    # Switch to default working directory
+ cd  ~/palm/current_version
+
+
+    # Check, if include file exists
+ if [[ ! -f trunk/INSTALL/$include_file ]]
+ then
+    echo "+++ ERROR: include file"
+    echo "    \"trunk/INSTALL/$include_file\""
+    echo "    not found"
+    exit
+ fi
+
+
+     # Create the make depository
+ if [[ ! -d MAKE_DEPOSITORY_simple ]]
+ then
+    mkdir  MAKE_DEPOSITORY_simple
+ else
+    rm  MAKE_DEPOSITORY_simple/*
+ fi
+
+
+     # Copy makefile and all source code files to make depository
+ cp  trunk/SOURCE/Makefile        MAKE_DEPOSITORY_simple/Makefile_old
+ cp  trunk/INSTALL/$include_file  MAKE_DEPOSITORY_simple/MAKE.inc
+ cp  trunk/SOURCE/*.f90           MAKE_DEPOSITORY_simple
+
+
+     # Replace comment in makefile by include statement
+ sed  's/#to_be_replaced_by_include/include MAKE.inc/g'  MAKE_DEPOSITORY_simple/Makefile_old  >  MAKE_DEPOSITORY_simple/Makefile
+ rm  MAKE_DEPOSITORY_simple/Makefile_old
+
+
+     # Create directory for input files
+ if [[ ! -d JOBS/example_cbl/INPUT ]]
+ then
+    mkdir -p  JOBS/example_cbl/INPUT
+    cp trunk/INSTALL/example_cbl_p3d  JOBS/example_cbl/INPUT
+ fi
Index: palm/trunk/SCRIPTS/palm_simple_run
===================================================================
--- palm/trunk/SCRIPTS/palm_simple_run	(revision 421)
+++ palm/trunk/SCRIPTS/palm_simple_run	(revision 421)
@@ -0,0 +1,133 @@
+#!/bin/ksh
+# palm_simple_run - a simple method for running the palm code without
+#                   using the mrun script
+# $Id$
+
+     # This script runs the palm code in a unique subdirectory (OUTPUT...,
+     # current time/date and number of processors are part of the subdirectory
+     # name).
+     # It requires that palm has been installed with command
+     # palm_simple_install and that the executable palm has been created
+     # with make in directory ~/palm/current_version/MAKE_DEPOSITORY_simple
+
+     # Last changes:
+     # 25/01/10 - Siggi - Generating the first version
+
+
+    # Variable declarations + default values
+ case=example_cbl
+ cpumax=999999
+ localhost=unknown
+ localhost_realname=$(hostname)
+ mpi_procs=1
+ mpi_procs_per_node=1
+ openmp_threads=1
+ palm_dir=~/palm/current_version
+
+ typeset -i  ii
+
+
+    # Read shellscript options
+ while  getopts  :c:l:n:p:t:  option
+ do
+   case  $option  in
+       (c)   case=$OPTARG;;
+       (l)   localhost=$OPTARG;;
+       (n)   mpi_procs_per_node=$OPTARG;;
+       (p)   mpi_procs=$OPTARG;;
+       (t)   openmp_threads=$OPTARG;;
+       (\?)  printf "\n  +++ unknown option $OPTARG \n"
+             printf "\n      allowed option are -d, -f, -l, -s \n"
+             exit;;
+   esac
+ done
+
+
+    # Find out the global svn revision number
+ global_revision=`svnversion ${palm_dir}/trunk  2>/dev/null`
+ global_revision="Rev: $global_revision"
+
+
+    # Generate unique directory/files for this run
+ timedate="`date +%d.%b_%H:%M:%S`"
+ suffix=$case+$nnodes+$timedate
+ RUNDIR=OUTPUT.$suffix/
+
+ if [[ ! -d $RUNDIR ]]
+ then
+    mkdir $RUNDIR
+    echo "*** running in directory $RUNDIR"
+ else
+    echo "+++ ERROR: $RUNDIR exists\!   Must be unique.  Exiting."
+    exit
+ fi
+
+
+    # Check if palm has been installed and copy executable into the run
+    # directory
+ if [[ ! -f ${palm_dir}/MAKE_DEPOSITORY_simple/palm ]]
+ then
+    echo "+++ ERROR: palm executable does not exist."
+    echo "           Please run \"palm_simple_install\"."
+    exit
+ else
+    cp  ${palm_dir}/MAKE_DEPOSITORY_simple/palm  $RUNDIR/palm
+ fi
+
+
+    # Check, if parameter file exists and copy into the run directory
+ if [[ ! -f ${palm_dir}/JOBS/${case}/INPUT/${case}_p3d ]]
+ then
+    echo "+++ ERROR: parameter file"
+    echo "           \"${palm_dir}/JOBS/${case}/INPUT/${case}_p3d\""
+    echo "           does not exist."
+    exit
+ else
+    cp  ${palm_dir}/JOBS/${case}/INPUT/${case}_p3d  $RUNDIR/PARIN
+ fi
+
+
+    # Switch to run directory
+ cd  $RUNDIR
+
+
+
+    # Create NAMELIST file containing environment values needed by palm
+ cat  >  ENVPAR  <<  %%END%%
+ &envpar  run_identifier = '$case', host = '$localhost',
+          write_binary = false, tasks_per_node = $mpi_procs_per_node,
+          maximum_cpu_time_allowed = ${cpumax}.,
+          revision = '$global_revision',
+          local_dvrserver_running = .FALSE. /
+
+%%END%%
+
+
+    # Coupled runs cannot be carried out with this simple run script
+ echo "no_coupling"  >  runfile_atmos
+
+
+    # Generate hostfile (if neccessary)
+ (( ii = 1 ))
+ while (( ii <= $mpi_procs ))
+ do
+    echo  $localhost_realname  >>  hostfile
+    (( ii = ii + 1 ))
+ done
+
+
+    # Set number of OpenMP threads
+ export OMP_NUM_THREADS=$openmp_threads
+
+
+
+    # Start palm run
+ echo "*** palm will be run:  MPI tasks: $mpi_procs   OpenMP thread: $OMP_NUM_THREADS"
+
+ mpiexec  -machinefile hostfile  -n $mpi_procs  ./palm  < runfile_atmos
+
+
+ echo "*** palm finished"
+ echo "*** see"
+ echo "    \"$RUNDIR\""
+ echo "    for results"
Index: palm/trunk/SOURCE/CURRENT_MODIFICATIONS
===================================================================
--- palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 420)
+++ palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 421)
@@ -10,6 +10,9 @@
 write_var_list)
 
+A simple method for installing and running palm (with limited features)
+has been added. (Makefile, palm_simple_install, palm_simple_run)
+
 check parameters, header, init_3d_model, Makefile, modules, parin, prognostic_equations, read_var_list, write_var_list
-new: subsidence
+new: palm_simple_install, palm_simple_run, subsidence
 
 
Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 420)
+++ palm/trunk/SOURCE/Makefile	(revision 421)
@@ -4,4 +4,7 @@
 # Actual revisions:
 # -----------------
+# comment line for simple install method added, which will be replaced
+# by an include command for preprocessor and compiler options when the simple
+# install process is used instead of mbuild/mrun,
 # +set_particle_attributes, set_slicer_attributes_dvrp
 # +subsidence
@@ -149,4 +152,5 @@
 LDFLAGS =
 
+#to_be_replaced_by_include
 
 .SUFFIXES: