Index: palm/trunk/SCRIPTS/mbuild
===================================================================
--- palm/trunk/SCRIPTS/mbuild	(revision 436)
+++ palm/trunk/SCRIPTS/mbuild	(revision 437)
@@ -108,4 +108,5 @@
      # 25/08/09 - BjornM- adapted for lck
      # 01/12/09 - BjornM- re-adjustments for lcxt4
+     # 01/02/10 - Siggi - adjustments for lcxt5m
 
 
@@ -477,4 +478,5 @@
         (lctit)          remote_addres=172.17.75.161;;
         (lcxt4)          remote_addres=129.177.20.113;;
+        (lcxt5m)         remote_addres=193.166.211.144;;
         (decalpha)       remote_addres=165.132.26.56;;
         (ibmh)           remote_addres=136.172.40.15;;
Index: palm/trunk/SCRIPTS/mrun
===================================================================
--- palm/trunk/SCRIPTS/mrun	(revision 436)
+++ palm/trunk/SCRIPTS/mrun	(revision 437)
@@ -195,5 +195,7 @@
      #                     adjustment for special1q
      # 18/12/09 - Carolin- modification of archiving (permq)
-     #
+     # 01/02/10 - Siggi  - adjustments for lcxt5m
+
+
  
     # VARIABLENVEREINBARUNGEN + DEFAULTWERTE
@@ -642,5 +644,5 @@
     do_remote=true
     case  $host  in
-        (ibm|ibmb|ibmh|ibms|ibmy|nech|necriam|lcsgib|lcsgih|lctit|unics|lcxt4|lck)  true;;
+        (ibm|ibmb|ibmh|ibms|ibmy|nech|necriam|lcsgib|lcsgih|lctit|unics|lcxt4|lcxt5m|lck)  true;;
         (*)  printf "\n"
              printf "\n  +++ sorry: execution of batch jobs on remote host \"$host\""
@@ -817,5 +819,5 @@
                    do_remote=true
                    case  $host  in
-                       (ibm|ibms|ibmy|lcsgib|lcsgih|lctit|nech|necriam|unics|lcxt4|lck)  true;;
+                       (ibm|ibms|ibmy|lcsgib|lcsgih|lctit|nech|necriam|unics|lcxt4|lcxt5m|lck)  true;;
                        (*)  printf "\n  +++ sorry: execution of batch jobs on remote host \"$host\""
                             printf "\n      is not available"
@@ -1072,5 +1074,5 @@
     do_remote=true
     case  $host  in
-        (ibm|ibmb|ibmh|ibms|ibmy|lcsgib|lcsgih|lctit|nech|necriam|unics|lcxt4|lck)  true;;
+        (ibm|ibmb|ibmh|ibms|ibmy|lcsgib|lcsgih|lctit|nech|necriam|unics|lcxt4|lcxt5m|lck)  true;;
         (*)  printf "\n"
              printf "\n  +++ sorry: execution of batch jobs on remote host \"$host\""
@@ -2000,5 +2002,5 @@
  lopts="$lopts $netcdf_lib $dvr_lib"
  ROPTS="$ropts"
- if [[ ( $(echo $host | cut -c1-3) = nec  ||  $(echo $host | cut -c1-3) = ibm  ||  $host = lcsgih  ||  $host = lcsgib  ||  $host = lctit  ||  $host = lcfimm  ||  $host = lcxt4 || $host = lck )  &&  -n $numprocs ]]
+ if [[ ( $(echo $host | cut -c1-3) = nec  ||  $(echo $host | cut -c1-3) = ibm  ||  $host = lcsgih  ||  $host = lcsgib  ||  $host = lctit  ||  $host = lcfimm  ||  $host = lcxt4 ||  $host = lcxt5m || $host = lck )  &&  -n $numprocs ]]
  then
     XOPT="-X $numprocs"
@@ -3223,5 +3225,5 @@
                       fi
                    fi
-                elif [[ $host = lcxt4 ]]
+                elif [[ $host = lcxt4  ||  $host = lcxt5m ]]
                 then
                    aprun  -n $ii  -N $tasks_per_node  a.out  $ROPTS  < runfile_atmos
@@ -3259,5 +3261,5 @@
                       fi
 
-                   elif [[ $host = lcxt4 ]]
+                   elif [[ $host = lcxt4  ||  $host = lcxt5m ]]
                    then
 
@@ -3292,5 +3294,5 @@
                       fi
 
-                   elif [[ $host = lcxt4 ]]
+                   elif [[ $host = lcxt4  ||  $host = lcxt5m ]]
                    then
 
Index: palm/trunk/SCRIPTS/subjob
===================================================================
--- palm/trunk/SCRIPTS/subjob	(revision 436)
+++ palm/trunk/SCRIPTS/subjob	(revision 437)
@@ -111,5 +111,7 @@
      # 01/12/09 - BjornM- re-adjustments for lcxt4, added sno (130.75.105.113)
      # 16/10/09 - Carolin-adding permq
-     #
+     # 01/02/10 - Siggi - adjustments for lcxt5m
+
+
 
     # VARIABLENVEREINBARUNGEN + DEFAULTWERTE
@@ -209,4 +211,5 @@
      (levanto)               local_addres=130.75.105.45;  local_host=lcmuk;;
      (maestro)               local_addres=130.75.105.2;   local_host=lcmuk;;
+     (meteo-login*)          local_addres=193.166.211.144;local_host=lcxt5m;;
      (nid*)		     local_addres=129.177.20.113; local_host=lcxt4;;
      (nobel*)                local_addres=150.183.5.101;  local_host=ibms;;
@@ -351,4 +354,5 @@
         (lctit)   queue=lctit; remote_addres=172.17.75.161; submcom=/n1ge/TITECH_GRID/tools/bin/n1ge;;
         (lcxt4)	  remote_addres=129.177.20.113; submcom=/opt/torque/2.3.0/bin/qsub;;
+        (lcxt5m)  remote_addres=193.166.211.144; submcom=/opt/pbs/10.1.0.91350/bin/qsub;;
         (nech)    qsubmem=memsz_job; qsubtime=cputim_job; remote_addres=136.172.44.147; submcom="/usr/local/bin/qsub";;
         (necriam) qsubmem=memsz_job; qsubtime=cputim_job; remote_addres=172.16.1.131; submcom="/usr/bin/nqsII/qsub";;
@@ -881,4 +885,50 @@
     fi
 
+elif [[ $remote_host = lcxt5m ]]
+ then
+
+    if [[ $numprocs != 0 ]]
+    then
+       cat > $job_to_send << %%END%%
+#!/bin/ksh 
+#PBS -S /bin/ksh
+#PBS -N $job_name
+#PBS -j oe
+#PBS -l walltime=$timestring
+#PBS -l mppwidth=${numprocs}
+#PBS -l mppnppn=${tasks_per_node}
+#PBS -m abe
+#PBS -o $remote_dayfile
+
+. /opt/modules/default/init/ksh
+module load modules/3.1.6
+module load netcdf/3.6.2
+module load PrgEnv-pgi/2.2.41
+module load Base-opts/2.2.41
+
+%%END%%
+
+    else
+       cat > $job_to_send << %%END%%
+#!/bin/ksh
+#PBS -S /bin/ksh
+#PBS -N $job_name
+#PBS -j oe
+#PBS -l walltime=$timestring
+#PBS -l ncpus=1
+#PBS -l pmem=${memory}mb
+#PBS -m abe
+#PBS -o $remote_dayfile
+
+. /opt/modules/default/init/ksh
+module load modules/3.1.6
+module load netcdf/3.6.2
+module load PrgEnv-pgi/2.2.41
+module load Base-opts/2.2.41
+
+%%END%%
+
+    fi
+
  elif [[ $remote_host = nech ]]
  then