Index: palm/trunk/SCRIPTS/mrun
===================================================================
--- palm/trunk/SCRIPTS/mrun	(revision 439)
+++ palm/trunk/SCRIPTS/mrun	(revision 440)
@@ -195,5 +195,5 @@
      #                     adjustment for special1q
      # 18/12/09 - Carolin- modification of archiving (permq)
-     # 01/02/10 - Siggi  - adjustments for lcxt5m
+     # 01/02/10 - Siggi  - adapted for lcxt5m and lckyoto (Fujitsu HX600)
 
 
@@ -644,5 +644,5 @@
     do_remote=true
     case  $host  in
-        (ibm|ibmb|ibmh|ibms|ibmy|nech|necriam|lcsgib|lcsgih|lctit|unics|lcxt4|lcxt5m|lck)  true;;
+        (ibm|ibmb|ibmh|ibms|ibmy|nech|necriam|lckyoto|lcsgib|lcsgih|lctit|unics|lcxt4|lcxt5m|lck)  true;;
         (*)  printf "\n"
              printf "\n  +++ sorry: execution of batch jobs on remote host \"$host\""
@@ -819,5 +819,5 @@
                    do_remote=true
                    case  $host  in
-                       (ibm|ibms|ibmy|lcsgib|lcsgih|lctit|nech|necriam|unics|lcxt4|lcxt5m|lck)  true;;
+                       (ibm|ibms|ibmy|lckyoto|lcsgib|lcsgih|lctit|nech|necriam|unics|lcxt4|lcxt5m|lck)  true;;
                        (*)  printf "\n  +++ sorry: execution of batch jobs on remote host \"$host\""
                             printf "\n      is not available"
@@ -1074,5 +1074,5 @@
     do_remote=true
     case  $host  in
-        (ibm|ibmb|ibmh|ibms|ibmy|lcsgib|lcsgih|lctit|nech|necriam|unics|lcxt4|lcxt5m|lck)  true;;
+        (ibm|ibmb|ibmh|ibms|ibmy|lckyoto|lcsgib|lcsgih|lctit|nech|necriam|unics|lcxt4|lcxt5m|lck)  true;;
         (*)  printf "\n"
              printf "\n  +++ sorry: execution of batch jobs on remote host \"$host\""
@@ -1232,4 +1232,5 @@
         (ibmh)       queue=no_class;;
         (ibmy)       queue=parallel;;
+        (lckyoto)    queue=ph;;
         (lcsgib)     queue=bigq;;
         (lcsgih)     queue=bigq;;
@@ -2002,5 +2003,5 @@
  lopts="$lopts $netcdf_lib $dvr_lib"
  ROPTS="$ropts"
- if [[ ( $(echo $host | cut -c1-3) = nec  ||  $(echo $host | cut -c1-3) = ibm  ||  $host = lcsgih  ||  $host = lcsgib  ||  $host = lctit  ||  $host = lcfimm  ||  $host = lcxt4 ||  $host = lcxt5m || $host = lck )  &&  -n $numprocs ]]
+ if [[ ( $(echo $host | cut -c1-3) = nec  ||  $(echo $host | cut -c1-3) = ibm  ||  $host = lckyoto  ||  $host = lcsgih  ||  $host = lcsgib  ||  $host = lctit  ||  $host = lcfimm  ||  $host = lcxt4 ||  $host = lcxt5m || $host = lck )  &&  -n $numprocs ]]
  then
     XOPT="-X $numprocs"
@@ -3138,5 +3139,5 @@
 
              fi
-          elif [[ $(echo $host | cut -c1-2) = lc  &&  $host != lctit ]]
+          elif [[ $(echo $host | cut -c1-2) = lc  &&  $host != lckyoto &&  $host != lctit ]]
           then
 
@@ -3316,4 +3317,19 @@
           then
              dmpirun  -np $numprocs  a.out  $ROPTS
+          elif [[ $host = lckyoto ]]
+          then
+             set -xv
+             export P4_RSHCOMMAND=plesh
+             echo "     P4_RSHCOMMAND = $P4_RSHCOMMAND"
+             if [[ "$ENVIRONMENT" = BATCH ]]
+             then
+                mpiexec  -n $numprocs  ./a.out  $ROPTS  # for fujitsu-compiler
+# for pgi       mpirun  -np $numprocs  -machinefile ${QSUB_NODEINF}  ./a.out  $ROPTS
+# for intel     mpirun_rsh -np $numprocs -hostfile ${QSUB_NODEINF} MV2_USE_SRQ=0 ./a.out ${ROPTS} || /bin/true
+             else
+                mpirun  -np $numprocs  ./a.out  $ROPTS
+# for intel     mpiruni_rsh -np $numprocs ./a.out  $ROPTS
+             fi
+             set +xv
           elif [[ $host = lctit ]]
           then
Index: palm/trunk/SCRIPTS/subjob
===================================================================
--- palm/trunk/SCRIPTS/subjob	(revision 439)
+++ palm/trunk/SCRIPTS/subjob	(revision 440)
@@ -111,5 +111,5 @@
      # 01/12/09 - BjornM- re-adjustments for lcxt4, added sno (130.75.105.113)
      # 16/10/09 - Carolin-adding permq
-     # 01/02/10 - Siggi - adjustments for lcxt5m
+     # 01/02/10 - Siggi - adapted for lcxt5m and lckyoto (Fujitsu HX600)
 
 
@@ -206,4 +206,5 @@
      (h01*|hicegate1)        local_addres=130.75.4.102;   local_host=lcsgih;;
      (hicegate2)             local_addres=130.75.4.103;   local_host=lcsgih;;
+     (hx*)                   local_addres=133.3.51.11;    local_host=lckyoto;;
      (blizzard1)             local_addres=136.172.40.15;  local_host=ibmh;;
      (irifi)                 local_addres=130.75.105.104; local_host=lcmuk;;
@@ -349,4 +350,5 @@
         (ibmy)    queue=parallel; remote_addres=165.132.26.58; submcom=/usr/lpp/LoadL/full/bin/llsubmit;;
 	(lcfimm)  remote_addres=172.20.4.2; submcom=/opt/torque/bin/qsub;;
+        (lckyoto) remote_addres=133.3.51.11; submcom=/thin/local/bin/qsub;;
         (lcsgib)  queue=smallq; remote_addres=130.73.232.102; submcom=/opt/moab/bin/msub;;
         (lcsgih)  queue=smallq; remote_addres=130.75.4.103; submcom=/opt/moab/bin/msub;;
@@ -389,4 +391,8 @@
         (ibmy)   case  $ndq  in
                      (parallel)                              error=false;;
+                     (*)                                     error=true;;
+                 esac;;
+        (lckyoto) case  $ndq  in
+                     (eh|ph)                                 error=false;;
                      (*)                                     error=true;;
                  esac;;
@@ -885,5 +891,30 @@
     fi
 
-elif [[ $remote_host = lcxt5m ]]
+ elif [[ $remote_host = lckyoto ]]
+ then
+
+       cat > $job_to_send << %%END%%
+#!/bin/ksh 
+# @\$-o $remote_dayfile
+# @\$-eo -oi
+# @\$-lP 16
+# @\$-lp 1    
+# @\$-lm 28gb  -llm unlimited -ls unlimited
+# @\$-q $queue
+# @\$-Pvn abs_pack
+##for intel? @\$-Pvn abs_unpack -Pvs unpack -Pvc unpack
+#. /thin/local/etc/setprofile/intel-11.0.sh
+#. /thin/local/etc/setprofile/mvapich2-1.4+intel-11.0.sh
+. ~/.myprofile
+#. /home2/t/t51254/palm/current_version/myprofile
+#. /thin/apps/pgi/mpi.sh
+#
+env
+#
+set -x
+
+%%END%%
+
+ elif [[ $remote_host = lcxt5m ]]
  then
 